Botan 1.10.17

Namespaces | Functions
look_pk.h File Reference
`#include <botan/lookup.h>`
`#include <botan/pubkey.h>`

Go to the source code of this file.

## Namespaces
| Botan

## Functions
PK_Decryptor * | Botan::get_pk_decryptor (const Private_Key &key, const std::string &eme)
PK_Encryptor * | Botan::get_pk_encryptor (const Public_Key &key, const std::string &eme)
PK_Key_Agreement * | Botan::get_pk_kas (const PK_Key_Agreement_Key &key, const std::string &kdf)
PK_Signer * | Botan::get_pk_signer (const Private_Key &key, const std::string &emsa, Signature_Format sig_format=IEEE_1363)
PK_Verifier * | Botan::get_pk_verifier (const Public_Key &key, const std::string &emsa, Signature_Format sig_format=IEEE_1363)